# Repeat key

When creating a new run, you can pass a custom value that can then later be used to repeat the actions in a future run. This is especially useful when using it programmatically where consistency and expected behavior is important.

When a **repeatKey** is passed and the **intent, input/output schema** is exactly the same as the already existing action for that userId, then it will be a repeat run. A repeat run means that it will use the code used previously in a run to execute in a more consistent and reliable way.

### Using it

Set `repeatKey` field when creating a new run to a meaningful value to yo&#x75;**.** \
Recommendation: something that reflects the intent, e.g. `get_next_calendar_events`&#x20;

Other fields like `intent` , `context` , `selected integrations`  must still be set.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.toolregistry.ai/concepts/repeat-key.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
